const body = document.querySelector("body");
const meinVideo = document.querySelector("#meinVideo");

// ================= die Buttons unterhalb des Videos =================

const videoPlay = document.querySelector("#videoPlay");
const videoLoop = document.querySelector("#videoLoop");
const videoSpeed = document.querySelector("#videoSpeed");
const videoSound = document.querySelector("#videoSound");

// =============== VideoPlay-Button entsprechend anzeigen ===============

function videoZeitAbfragen() {
  // läuft das Video gerade?
  if (meinVideo.paused) {
    videoPlay.innerHTML = "▶";
    videoPlay.classList.remove("aktiv");
  } else {
    videoPlay.innerHTML = "❚❚";
    videoPlay.classList.add("aktiv");
  }
}
// frägt laufend (alle 100ms) Abspielzeit ab und stellt den Button entsprechend dar
// später kann damit auch das Aussehen des Browsers geändern werden
// je nachdem, an welcher Stelle sich das Video befindet
setInterval(videoZeitAbfragen, 100);

// ========================= videoSound an/aus =========================

function videoSoundAnAus() {
  if (meinVideo.muted) {
    meinVideo.muted = false;
    videoSound.classList.add("aktiv");
  } else {
    meinVideo.muted = true;
    videoSound.classList.remove("aktiv");
  }
}

// Clickt man auf den Button "videoSound", wird Sound "getoggelt"
videoSound.addEventListener("click", videoSoundAnAus);

// ========================= videoLooping =========================

// stellt ein, ob das Video als Loop oder nur einmal abläuft
function videoLooping() {
  if (meinVideo.loop == true) {
    meinVideo.loop = false;
    videoLoop.classList.remove("aktiv");
  } else {
    meinVideo.loop = true;
    videoLoop.classList.add("aktiv");
  }
}

// Clickt man auf den Button "videoLoop", wird "getoggelt",
// ob der Film  nur einmal oder als Endlosschleife abgespielt wird
videoLoop.addEventListener("click", videoLooping);

// ======================== videoStarten ========================

function videoStarten() {
  if (meinVideo.paused) {
    meinVideo.play();
  } else {
    meinVideo.pause();
  }
}

// Clickt man auf den Button "videoPlay", wird der Film abgespielt oder angehalten
videoPlay.addEventListener("click", videoStarten);

// clickt man auf das Video, wird dieses gestartet oder angehalten
meinVideo.addEventListener("click", videoStarten);
