const body = document.querySelector("body");
const meinVideo = document.querySelector("#meinVideo");

// ================= die Buttons unterhalb des Videos =================

const videoPlay = document.querySelector("#videoPlay");
const videoLoop = document.querySelector("#videoLoop");
const videoSpeed = document.querySelector("#videoSpeed");
const videoSound = document.querySelector("#videoSound");

// =============== VideoPlay-Button entsprechend anzeigen ===============

function videoZeitAbfragen() {
  // läuft das Video gerade?
  if (meinVideo.paused) {
    videoPlay.innerHTML = "▶";
    videoPlay.classList.remove("aktiv");
  } else {
    videoPlay.innerHTML = "❚❚";
    videoPlay.classList.add("aktiv");
  }
}
// frägt laufend (alle 100ms) Abspielzeit ab und stellt den Button entsprechend dar
// später kann damit auch das Aussehen des Browsers geändern werden
// je nachdem, an welcher Stelle sich das Video befindet
setInterval(videoZeitAbfragen, 100);

// ========================= videoSound an/aus =========================

function videoSoundAnAus() {
  if (meinVideo.muted) {
    meinVideo.muted = false;
    videoSound.classList.add("aktiv");
  } else {
    meinVideo.muted = true;
    videoSound.classList.remove("aktiv");
  }
}

// Clickt man auf den Button "videoSound", wird Sound "getoggelt"
videoSound.addEventListener("click", videoSoundAnAus);

// ========================= videoLooping =========================

// stellt ein, ob das Video als Loop oder nur einmal abläuft
function videoLooping() {
  if (meinVideo.loop == true) {
    meinVideo.loop = false;
    videoLoop.classList.remove("aktiv");
  } else {
    meinVideo.loop = true;
    videoLoop.classList.add("aktiv");
  }
}

// Clickt man auf den Button "videoLoop", wird "getoggelt",
// ob der Film  nur einmal oder als Endlosschleife abgespielt wird
videoLoop.addEventListener("click", videoLooping);

// ======================== videoStarten ========================

function videoStarten() {
  if (meinVideo.paused) {
    meinVideo.play();
  } else {
    meinVideo.pause();
  }
}

// Clickt man auf den Button "videoPlay", wird der Film abgespielt oder angehalten
videoPlay.addEventListener("click", videoStarten);

// clickt man auf das Video, wird dieses gestartet oder angehalten
meinVideo.addEventListener("click", videoStarten);

// ================== Liste mit verschiedenen Video-Startpunkten ==================

// alle Buttons in der Section "#startpunkte"
const startPunkte = document.querySelectorAll("#startpunkte button");

function videoStartpunktFestlegen(ereignis) {
  // fragt im HTML-Dokument den Wert von "data-startpunkt" ab
  let startpunkt = ereignis.target.dataset.startpunkt;

  // fragt im HTML-Dokument den Text (z.B. "Morgenstimmung") ab
  let beschreibung = ereignis.target.textContent;

  // verschiebt den Startpunkt des Videos auf die gewünschte Stelle
  meinVideo.currentTime = startpunkt;

  // ======= ab hier "Kosmetik" der Kapitelliste… =======
  // bisher schon angeklickter Kapitelname wieder normal darstellen
  const currentButton = document.querySelector("#startpunkte button.current");
  if (currentButton != null) {
    currentButton.classList.remove("current");
  }

  // aktuell angeklickter Kapitelname wird fett dargestellt
  ereignis.target.classList.add("current");
}

// Klickt man auf einen der Buttons bei "#startpunkte",
// wird die Funktion "videoStartpunktFestlegen" aufgerufen
startPunkte.forEach(function (ereignis) {
  ereignis.addEventListener("click", videoStartpunktFestlegen);
});
